 
#include <iostream>
#include <algorithm>
#include <boost/iostreams/device/mapped_file.hpp>

#include <symbolic/scenario.h>

bool compare_two_files(const std::string& file1, const std::string& file2)
{
    boost::iostreams::mapped_file_source f1(file1);
    boost::iostreams::mapped_file_source f2(file2);

    if(    f1.size() == f2.size()
        && std::equal(f1.data(), f1.data() + f1.size(), f2.data())
       )
    {
//         std::cout << "The files are equal\n";
        return true;
    }
    else {
//         std::cout << "The files are not equal\n";
        return false;
    }
}

Scenario load_scenario(const ConfigReader& config_reader)
{
    RuleSet rules(config_reader.get_path("nid_rules_path"));
    GoalGroup goals(config_reader.get_path("goal_file"));
    State state;
    state.read_from_file(config_reader.get_path("simulator_current_state_path"));
    
    Scenario scenario(rules, state, goals, config_reader);
    return scenario;
}