#include "symbolic/state.h"

/**
 * State
 *
 */

void State::read_from_file(std::string file_path)
{
    *this = read_predicates_from_file(file_path);
}

void State::write_to_file(std::string file_path) const
{
    std::stringstream ss;
    ss << *this;
    utils::write_string_to_file(file_path, ss.str());
}

/**
 * Changes
 */
void State::update_predicate(Predicate new_predicate)
{
    PredicateGroup::update_predicate(new_predicate);
}

void State::remove_special_predicates()
{
    PredicateGroup special_predicates;
    special_predicates.push_back(Predicate(MAKE_SYMBOL_FINISHED, true));
    special_predicates.push_back(Predicate(MAKE_SYMBOL_FINISHED, false));
    special_predicates.push_back(Predicate(MAKE_SYMBOL_STARTED, true));
    special_predicates.push_back(Predicate(MAKE_SYMBOL_STARTED, false));
    PredicateGroup::remove(special_predicates);
}

